### Method

# Gtk Widget set_css_classes

#### Declaration [src]

    void
    gtk_widget_set_css_classes (
      GtkWidget* widget,
      const char** classes
    )

#### Description [src]

Replaces the current style classes of the widget with `classes`.

Sets property | `Gtk.Widget:css-classes`

#### Parameters

`classes`

  Type: An array of `char*`

  `NULL`-terminated list of style classes.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.